#### PyKDE - Python Bindings for KDE

# class KDataToolAction

Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KDataToolAction
Inherits | KAction

### methods

- KDataToolAction (text, info, command, parent = 0, name = 0)

  returns a KDataToolAction instance

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  info | KDataToolInfo |
  command | QString |
  parent | QObject | 0
  name | char | 0

- dataToolActionList (tools, receiver, slot)

  returns (QPtrList<KAction>)
  static

  Argument | Type | Default
  --- | --- | ---
  tools | QValueList<KDataToolInfo> |
  receiver | QObject |
  slot | char |

- slotActivated ()

  returns nothing

- toolActivated (info, command)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  info | KDataToolInfo |
  command | QString |